# Uses of Interface
org.eclipse.jface.text.reconciler.IReconcileStep

Packages that use IReconcileStep
Package
Description
org.eclipse.jface.text.reconciler
Provides a reconciler add-on for an `ITextViewer`.

## Uses of IReconcileStep in org.eclipse.jface.text.reconciler

Classes in org.eclipse.jface.text.reconciler that implement IReconcileStep
Modifier and Type
Class
Description
`class`
`AbstractReconcileStep`
Abstract implementation of a reconcile step.
Methods in org.eclipse.jface.text.reconciler with parameters of type IReconcileStep
Modifier and Type
Method
Description
`void`
AbstractReconcileStep.`setPreviousStep(IReconcileStep step)`
`void`
IReconcileStep.`setPreviousStep(IReconcileStep step)`
Sets the step which is in front of this step in the pipe.
Constructors in org.eclipse.jface.text.reconciler with parameters of type IReconcileStep
Modifier
Constructor
Description
``
`AbstractReconcileStep(IReconcileStep step)`
Creates an intermediate reconcile step which adds the given step to the pipe.